package com.abcxin.smart.validator.annotation;

import com.bcxin.ars.enums.MinisterialDataFormat;

import java.lang.annotation.*;

/**
 * @author linqinglin
 * @date 2021/03/06 0006 10:07
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface MinisterialAttr {

    /**
     * 数据库字段名称
     */
    String column();

    String defaultValue() default "";

    /**
     * 日期格式化
     * @return
     */
    String DATE_FORMAT() default "";

    MinisterialDataFormat DATA_FORMAT() default MinisterialDataFormat.DEFAULT;

    /**
     *
     * @return 是否子查询
     */
    boolean isSubQuery() default false;
}
